package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PelayananTpn;
import com.jasamedika.medifirst2000.vo.PelayananTpnVO;

/**
 * Converter class between PAPAnamesis and PAPAnamesisVO
 * 
 * @author Askur
 */
@Component
public class PelayananTpnConverter implements BaseVoConverter<PelayananTpnVO, PelayananTpn> {
	

	public PelayananTpn transferVOToModel(PelayananTpnVO vo, PelayananTpn model) {
		if (null == model)
			model = new PelayananTpn();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PelayananTpn.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PelayananTpnVO> transferListOfModelToListOfVO(List<PelayananTpn> models,
			List<PelayananTpnVO> vos) {
		if (null == vos)
			vos = new ArrayList<PelayananTpnVO>();

		if (null == models)
			return vos;

		for (PelayananTpn alamat : models) {
			PelayananTpnVO vo = new PelayananTpnVO();
			vo = transferModelToVO(alamat, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PelayananTpnVO transferModelToVO(PelayananTpn model, PelayananTpnVO vo) {

		if (null == vo)
			vo = new PelayananTpnVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PelayananTpnVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
